# List receipts

List receipts by transferID, scheduleID, or occurrenceID.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

GET

/receipts

## Ask

```shell
curl -X GET "https://api.moov.io/receipts" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

## Ask

```go
mc, _ := moov.NewClient()

var transferID string

mc.ListReceipts(ctx, moov.ReceiptByTransferID(transferID))
```

## Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.receipts.list({
    id: "8508cf6c-9ce4-4e35-84c1-4b77320a620b",
  });

console.log(result);
}

run();
```

## Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->receipts->list(
    id: '8508cf6c-9ce4-4e35-84c1-4b77320a620b'
);

if ($response->receiptResponses !== null) {
    // handle response
}
```

## Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListReceiptsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListReceiptsResponse res = sdk.receipts().list()
                .id("8508cf6c-9ce4-4e35-84c1-4b77320a620b")
                .call();

if (res.receiptResponses().isPresent()) {
            System.out.println(res.receiptResponses().get());
        }
    }
}
```

## Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.receipts.list(id="8508cf6c-9ce4-4e35-84c1-4b77320a620b")

# Handle response
    print(res)
```

## Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.receipts.list(id: '8508cf6c-9ce4-4e35-84c1-4b77320a620b')

unless res.receipt_responses.nil?
  # handle response
end
```

## Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Receipts.ListAsync(id: "8508cf6c-9ce4-4e35-84c1-4b77320a620b");

// handle response
```

The request completed successfully.

## Ask

Example

```json
[\
  {\
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",\
    "receiptID": "4925c8a5-3b9a-4488-a514-9fd992546aca",\
    "forTransferID": "193ceb53-94c7-41c4-9272-c90c2832cb4c",\
    "kind": "sale.customer.v1",\
    "email": "jordan.lee@classbooker.dev",\
    "sentFor": [\
      {\
        "idempotencyKey": "0c14c6a6-6f50-4d1e-b0c4-b46ff43ba6a1",\
        "receiptID": "4925c8a5-3b9a-4488-a514-9fd992546aca",\
        "sentOn": "2025-01-16T17:52:14.219311143Z"\
      }\
    ]\
  }\
]
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.07.00`

The transfer, schedule, or transfer occurrence ID to filter receipts by.

AccountID for which the receipt request was created.

The date and time the receipt was disabled.

The email address the receipt is sent to.
Either email or emailAccountID will be in the response, but not both.

The accountID the receipt is sent to.
Either email or emailAccountID will be in the response, but not both.

The ID of the schedule occurrence associated with this receipt.
Exactly one of forTransferID, forScheduleID, or forOccurrenceID must be provided.

The ID of the schedule associated with this receipt.
Exactly one of forTransferID, forScheduleID, or forOccurrenceID must be provided.

The ID of the transfer associated with this receipt.
Exactly one of forTransferID, forScheduleID, or forOccurrenceID must be provided.

The type of receipt.

The type of receipt being requested.

Possible values:

`sale.customer.v1`

Unique identifier for the receipt request.

The list of receipts that have been sent.

Show child attributes

The idempotency key used when creating the receipt.

Unique identifier for the receipt.

When the receipt was sent.
